<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.xzzn.ems.mapper.EmsPcsAlarmDataMapper">

    <resultMap type="EmsPcsAlarmData" id="EmsPcsAlarmDataResult">
        <result property="id"    column="id"    />
        <result property="dataTimestamp"    column="data_timestamp"    />
        <result property="siteId"    column="site_id"    />
        <result property="deviceId"    column="device_id"    />
        <result property="gzbz"    column="gzbz"    />
        <result property="jyzkyc"    column="jyzkyc"    />
        <result property="jlllyc"    column="jlllyc"    />
        <result property="zlgv"    column="zlgv"    />
        <result property="dwgyyc"    column="dwgyyc"    />
        <result property="dwqyyc"    column="dwqyyc"    />
        <result property="dwgpyc"    column="dwgpyc"    />
        <result property="dwqpyc"    column="dwqpyc"    />
        <result property="glmkgw"    column="glmkgw"    />
        <result property="dwxxyc"    column="dwxxyc"    />
        <result property="nbrjgl"    column="nbrjgl"    />
        <result property="zlrqdyc"    column="zlrqdyc"    />
        <result property="zlkgwc"    column="zlkgwc"    />
        <result property="jlfjyc"    column="jlfjyc"    />
        <result property="jlkgwc"    column="jlkgwc"    />
        <result property="wdkgwc"    column="wdkgwc"    />
        <result property="nbyc"    column="nbyc"    />
        <result property="jngw"    column="jngw"    />
        <result property="jlrqdyc"    column="jlrqdyc"    />
        <result property="rjhjyc"    column="rjhjyc"    />
        <result property="jlflqyc"    column="jlflqyc"    />
        <result property="nbjt"    column="nbjt"    />
        <result property="wbjt"    column="wbjt"    />
        <result property="mxdbyfhkjtj"    column="mxdbyfhkjtj"    />
        <result property="mxdlgl"    column="mxdlgl"    />
        <result property="lpjzyc"    column="lpjzyc"    />
        <result property="mjgj"    column="mjgj"    />
        <result property="sxyc"    column="sxyc"    />
        <result property="zlflqyc"    column="zlflqyc"    />
        <result property="zndbtxyc"    column="zndbtxyc"    />
        <result property="nbyjgl"    column="nbyjgl"    />
        <result property="qdyc"    column="qdyc"    />
        <result property="idct"    column="idct"    />
        <result property="xxgxctxvc"    column="xxgxctxvc"    />
        <result property="bjtxxyc"    column="bjtxxyc"    />
        <result property="tbctxvc"    column="tbctxvc"    />
        <result property="zldhyc"    column="zldhyc"    />
        <result property="lxgl"    column="lxgl"    />
        <result property="zlzjcqyc"    column="zlzjcqyc"    />
        <result property="ywgj"    column="ywgj"    />
        <result property="bjtxyc"    column="bjtxyc"    />
        <result property="hmictxyc"    column="hmictxyc"    />
        <result property="jxszcw"    column="jxszcw"    />
        <result property="hmi485txyc"    column="hmi485txyc"    />
        <result property="yctxyc"    column="yctxyc"    />
        <result property="gzz"    column="gzz"    />
        <result property="gjz"    column="gjz"    />
        <result property="zlblmsszcw"    column="zlblmsszcw"    />
        <result property="xtcsbpp"    column="xtcsbpp"    />
        <result property="dwdybphgj"    column="dwdybphgj"    />
        <result property="ddycyyx"    column="ddycyyx"    />
        <result property="gdycyyx"    column="gdycyyx"    />
        <result property="zlfjyc"    column="zlfjyc"    />
        <result property="srqwdkgwc"    column="srqwdkgwc"    />
        <result property="wbwdkgwc"    column="wbwdkgwc"    />
        <result property="fybyqwdkgwc"    column="fybyqwdkgwc"    />
        <result property="dgwdkgwc"    column="dgwdkgwc"    />
        <result property="zjjdvc"    column="zjjdvc"    />
        <result property="fjjdvc"    column="fjjdvc"    />
        <result property="jljdvc"    column="jljdvc"    />
        <result property="bwjdvc"    column="bwjdvc"    />
        <result property="bmsjt"    column="bmsjt"    />
        <result property="kkhrqyc"    column="kkhrqyc"    />
        <result property="dwgqpdjgj"    column="dwgqpdjgj"    />
        <result property="glmkgwgJ"    column="glmkgwgJ"    />
        <result property="dcgy"    column="dcgy"    />
        <result property="dcqzqy"    column="dcqzqy"    />
        <result property="zlgl"    column="zlgl"    />
        <result property="scdyyc"    column="scdyyc"    />
        <result property="scdybfhlwtj"    column="scdybfhlwtj"    />
        <result property="gzbh"    column="gzbh"    />
        <result property="dlbh"    column="dlbh"    />
        <result property="nbfjyc"    column="nbfjyc"    />
        <result property="zlbxsyc"    column="zlbxsyc"    />
        <result property="dczzqy"    column="dczzqy"    />
        <result property="dcdygj"    column="dcdygj"    />
        <result property="wbfjyc"    column="wbfjyc"    />
        <result property="dcfj"    column="dcfj"    />
        <result property="dcdybfhcdtj"    column="dcdybfhcdtj"    />
        <result property="gzgJ"    column="gzgJ"    />
        <result property="zldhmktxyc"    column="zldhmktxyc"    />
        <result property="bmsxtgz"    column="bmsxtgz"    />
        <result property="bmstxyc"    column="bmstxyc"    />
        <result property="bmsgjdyc"    column="bmsgjdyc"    />
        <result property="bmsjc"    column="bmsjc"    />
        <result property="bmsjf"    column="bmsjf"    />
        <result property="bmsdj"    column="bmsdj"    />
        <result property="bmsgj"    column="bmsgj"    />
        <result property="dgfjyc"    column="dgfjyc"    />
        <result property="srqgwgj"    column="srqgwgj"    />
        <result property="gzz2"    column="gzz2"    />
        <result property="gjz2"    column="gjz2"    />
        <result property="jlfjsmyc"    column="jlfjsmyc"    />
        <result property="zlfjsmyc"    column="zlfjsmyc"    />
        <result property="jlkgSmyc"    column="jlkgSmyc"    />
        <result property="zlkgSmyc"    column="zlkgSmyc"    />
        <result property="yljzyc"    column="yljzyc"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
    </resultMap>

    <sql id="selectEmsPcsAlarmDataVo">
        select id, data_timestamp, site_id, device_id, gzbz, jyzkyc, jlllyc, zlgv, dwgyyc, dwqyyc, dwgpyc, dwqpyc, glmkgw, dwxxyc, nbrjgl, zlrqdyc, zlkgwc, jlfjyc, jlkgwc, wdkgwc, nbyc, jngw, jlrqdyc, rjhjyc, jlflqyc, nbjt, wbjt, mxdbyfhkjtj, mxdlgl, lpjzyc, mjgj, sxyc, zlflqyc, zndbtxyc, nbyjgl, qdyc, idct, xxgxctxvc, bjtxxyc, tbctxvc, zldhyc, lxgl, zlzjcqyc, ywgj, bjtxyc, hmictxyc, jxszcw, hmi485txyc, yctxyc, gzz, gjz, zlblmsszcw, xtcsbpp, dwdybphgj, ddycyyx, gdycyyx, zlfjyc, srqwdkgwc, wbwdkgwc, fybyqwdkgwc, dgwdkgwc, zjjdvc, fjjdvc, jljdvc, bwjdvc, bmsjt, kkhrqyc, dwgqpdjgj, glmkgwgJ, dcgy, dcqzqy, zlgl, scdyyc, scdybfhlwtj, gzbh, dlbh, nbfjyc, zlbxsyc, dczzqy, dcdygj, wbfjyc, dcfj, dcdybfhcdtj, gzgJ, zldhmktxyc, bmsxtgz, bmstxyc, bmsgjdyc, bmsjc, bmsjf, bmsdj, bmsgj, dgfjyc, srqgwgj, gzz2, gjz2, jlfjsmyc, zlfjsmyc, jlkgSmyc, zlkgSmyc, yljzyc, create_by, create_time, update_by, update_time, remark from ems_pcs_alarm_data
    </sql>

    <select id="selectEmsPcsAlarmDataList" parameterType="EmsPcsAlarmData" resultMap="EmsPcsAlarmDataResult">
        <include refid="selectEmsPcsAlarmDataVo"/>
        <where>
            <if test="dataTimestamp != null "> and data_timestamp = #{dataTimestamp}</if>
            <if test="siteId != null  and siteId != ''"> and site_id = #{siteId}</if>
            <if test="deviceId != null  and deviceId != ''"> and device_id = #{deviceId}</if>
            <if test="gzbz != null "> and gzbz = #{gzbz}</if>
            <if test="jyzkyc != null "> and jyzkyc = #{jyzkyc}</if>
            <if test="jlllyc != null "> and jlllyc = #{jlllyc}</if>
            <if test="zlgv != null "> and zlgv = #{zlgv}</if>
            <if test="dwgyyc != null "> and dwgyyc = #{dwgyyc}</if>
            <if test="dwqyyc != null "> and dwqyyc = #{dwqyyc}</if>
            <if test="dwgpyc != null "> and dwgpyc = #{dwgpyc}</if>
            <if test="dwqpyc != null "> and dwqpyc = #{dwqpyc}</if>
            <if test="glmkgw != null "> and glmkgw = #{glmkgw}</if>
            <if test="dwxxyc != null "> and dwxxyc = #{dwxxyc}</if>
            <if test="nbrjgl != null "> and nbrjgl = #{nbrjgl}</if>
            <if test="zlrqdyc != null "> and zlrqdyc = #{zlrqdyc}</if>
            <if test="zlkgwc != null "> and zlkgwc = #{zlkgwc}</if>
            <if test="jlfjyc != null "> and jlfjyc = #{jlfjyc}</if>
            <if test="jlkgwc != null "> and jlkgwc = #{jlkgwc}</if>
            <if test="wdkgwc != null "> and wdkgwc = #{wdkgwc}</if>
            <if test="nbyc != null "> and nbyc = #{nbyc}</if>
            <if test="jngw != null "> and jngw = #{jngw}</if>
            <if test="jlrqdyc != null "> and jlrqdyc = #{jlrqdyc}</if>
            <if test="rjhjyc != null "> and rjhjyc = #{rjhjyc}</if>
            <if test="jlflqyc != null "> and jlflqyc = #{jlflqyc}</if>
            <if test="nbjt != null "> and nbjt = #{nbjt}</if>
            <if test="wbjt != null "> and wbjt = #{wbjt}</if>
            <if test="mxdbyfhkjtj != null "> and mxdbyfhkjtj = #{mxdbyfhkjtj}</if>
            <if test="mxdlgl != null "> and mxdlgl = #{mxdlgl}</if>
            <if test="lpjzyc != null "> and lpjzyc = #{lpjzyc}</if>
            <if test="mjgj != null "> and mjgj = #{mjgj}</if>
            <if test="sxyc != null "> and sxyc = #{sxyc}</if>
            <if test="zlflqyc != null "> and zlflqyc = #{zlflqyc}</if>
            <if test="zndbtxyc != null "> and zndbtxyc = #{zndbtxyc}</if>
            <if test="nbyjgl != null "> and nbyjgl = #{nbyjgl}</if>
            <if test="qdyc != null "> and qdyc = #{qdyc}</if>
            <if test="idct != null "> and idct = #{idct}</if>
            <if test="xxgxctxvc != null "> and xxgxctxvc = #{xxgxctxvc}</if>
            <if test="bjtxxyc != null "> and bjtxxyc = #{bjtxxyc}</if>
            <if test="tbctxvc != null "> and tbctxvc = #{tbctxvc}</if>
            <if test="zldhyc != null "> and zldhyc = #{zldhyc}</if>
            <if test="lxgl != null "> and lxgl = #{lxgl}</if>
            <if test="zlzjcqyc != null "> and zlzjcqyc = #{zlzjcqyc}</if>
            <if test="ywgj != null "> and ywgj = #{ywgj}</if>
            <if test="bjtxyc != null "> and bjtxyc = #{bjtxyc}</if>
            <if test="hmictxyc != null "> and hmictxyc = #{hmictxyc}</if>
            <if test="jxszcw != null "> and jxszcw = #{jxszcw}</if>
            <if test="hmi485txyc != null "> and hmi485txyc = #{hmi485txyc}</if>
            <if test="yctxyc != null "> and yctxyc = #{yctxyc}</if>
            <if test="gzz != null "> and gzz = #{gzz}</if>
            <if test="gjz != null "> and gjz = #{gjz}</if>
            <if test="zlblmsszcw != null "> and zlblmsszcw = #{zlblmsszcw}</if>
            <if test="xtcsbpp != null "> and xtcsbpp = #{xtcsbpp}</if>
            <if test="dwdybphgj != null "> and dwdybphgj = #{dwdybphgj}</if>
            <if test="ddycyyx != null "> and ddycyyx = #{ddycyyx}</if>
            <if test="gdycyyx != null "> and gdycyyx = #{gdycyyx}</if>
            <if test="zlfjyc != null "> and zlfjyc = #{zlfjyc}</if>
            <if test="srqwdkgwc != null "> and srqwdkgwc = #{srqwdkgwc}</if>
            <if test="wbwdkgwc != null "> and wbwdkgwc = #{wbwdkgwc}</if>
            <if test="fybyqwdkgwc != null "> and fybyqwdkgwc = #{fybyqwdkgwc}</if>
            <if test="dgwdkgwc != null "> and dgwdkgwc = #{dgwdkgwc}</if>
            <if test="zjjdvc != null "> and zjjdvc = #{zjjdvc}</if>
            <if test="fjjdvc != null "> and fjjdvc = #{fjjdvc}</if>
            <if test="jljdvc != null "> and jljdvc = #{jljdvc}</if>
            <if test="bwjdvc != null "> and bwjdvc = #{bwjdvc}</if>
            <if test="bmsjt != null "> and bmsjt = #{bmsjt}</if>
            <if test="kkhrqyc != null "> and kkhrqyc = #{kkhrqyc}</if>
            <if test="dwgqpdjgj != null "> and dwgqpdjgj = #{dwgqpdjgj}</if>
            <if test="glmkgwgJ != null "> and glmkgwgJ = #{glmkgwgJ}</if>
            <if test="dcgy != null "> and dcgy = #{dcgy}</if>
            <if test="dcqzqy != null "> and dcqzqy = #{dcqzqy}</if>
            <if test="zlgl != null "> and zlgl = #{zlgl}</if>
            <if test="scdyyc != null "> and scdyyc = #{scdyyc}</if>
            <if test="scdybfhlwtj != null "> and scdybfhlwtj = #{scdybfhlwtj}</if>
            <if test="gzbh != null "> and gzbh = #{gzbh}</if>
            <if test="dlbh != null "> and dlbh = #{dlbh}</if>
            <if test="nbfjyc != null "> and nbfjyc = #{nbfjyc}</if>
            <if test="zlbxsyc != null "> and zlbxsyc = #{zlbxsyc}</if>
            <if test="dczzqy != null "> and dczzqy = #{dczzqy}</if>
            <if test="dcdygj != null "> and dcdygj = #{dcdygj}</if>
            <if test="wbfjyc != null "> and wbfjyc = #{wbfjyc}</if>
            <if test="dcfj != null "> and dcfj = #{dcfj}</if>
            <if test="dcdybfhcdtj != null "> and dcdybfhcdtj = #{dcdybfhcdtj}</if>
            <if test="gzgJ != null "> and gzgJ = #{gzgJ}</if>
            <if test="zldhmktxyc != null "> and zldhmktxyc = #{zldhmktxyc}</if>
            <if test="bmsxtgz != null "> and bmsxtgz = #{bmsxtgz}</if>
            <if test="bmstxyc != null "> and bmstxyc = #{bmstxyc}</if>
            <if test="bmsgjdyc != null "> and bmsgjdyc = #{bmsgjdyc}</if>
            <if test="bmsjc != null "> and bmsjc = #{bmsjc}</if>
            <if test="bmsjf != null "> and bmsjf = #{bmsjf}</if>
            <if test="bmsdj != null "> and bmsdj = #{bmsdj}</if>
            <if test="bmsgj != null "> and bmsgj = #{bmsgj}</if>
            <if test="dgfjyc != null "> and dgfjyc = #{dgfjyc}</if>
            <if test="srqgwgj != null "> and srqgwgj = #{srqgwgj}</if>
            <if test="gzz2 != null "> and gzz2 = #{gzz2}</if>
            <if test="gjz2 != null "> and gjz2 = #{gjz2}</if>
            <if test="jlfjsmyc != null "> and jlfjsmyc = #{jlfjsmyc}</if>
            <if test="zlfjsmyc != null "> and zlfjsmyc = #{zlfjsmyc}</if>
            <if test="jlkgSmyc != null "> and jlkgSmyc = #{jlkgSmyc}</if>
            <if test="zlkgSmyc != null "> and zlkgSmyc = #{zlkgSmyc}</if>
            <if test="yljzyc != null "> and yljzyc = #{yljzyc}</if>
        </where>
    </select>

    <select id="selectEmsPcsAlarmDataById" parameterType="Long" resultMap="EmsPcsAlarmDataResult">
        <include refid="selectEmsPcsAlarmDataVo"/>
        where id = #{id}
    </select>

    <insert id="insertEmsPcsAlarmData" parameterType="EmsPcsAlarmData" useGeneratedKeys="true" keyProperty="id">
        insert into ems_pcs_alarm_data
        <trim prefix="(" suffix=")" suffixOverrides=",">
            <if test="dataTimestamp != null">data_timestamp,</if>
            <if test="siteId != null and siteId != ''">site_id,</if>
            <if test="deviceId != null and deviceId != ''">device_id,</if>
            <if test="gzbz != null">gzbz,</if>
            <if test="jyzkyc != null">jyzkyc,</if>
            <if test="jlllyc != null">jlllyc,</if>
            <if test="zlgv != null">zlgv,</if>
            <if test="dwgyyc != null">dwgyyc,</if>
            <if test="dwqyyc != null">dwqyyc,</if>
            <if test="dwgpyc != null">dwgpyc,</if>
            <if test="dwqpyc != null">dwqpyc,</if>
            <if test="glmkgw != null">glmkgw,</if>
            <if test="dwxxyc != null">dwxxyc,</if>
            <if test="nbrjgl != null">nbrjgl,</if>
            <if test="zlrqdyc != null">zlrqdyc,</if>
            <if test="zlkgwc != null">zlkgwc,</if>
            <if test="jlfjyc != null">jlfjyc,</if>
            <if test="jlkgwc != null">jlkgwc,</if>
            <if test="wdkgwc != null">wdkgwc,</if>
            <if test="nbyc != null">nbyc,</if>
            <if test="jngw != null">jngw,</if>
            <if test="jlrqdyc != null">jlrqdyc,</if>
            <if test="rjhjyc != null">rjhjyc,</if>
            <if test="jlflqyc != null">jlflqyc,</if>
            <if test="nbjt != null">nbjt,</if>
            <if test="wbjt != null">wbjt,</if>
            <if test="mxdbyfhkjtj != null">mxdbyfhkjtj,</if>
            <if test="mxdlgl != null">mxdlgl,</if>
            <if test="lpjzyc != null">lpjzyc,</if>
            <if test="mjgj != null">mjgj,</if>
            <if test="sxyc != null">sxyc,</if>
            <if test="zlflqyc != null">zlflqyc,</if>
            <if test="zndbtxyc != null">zndbtxyc,</if>
            <if test="nbyjgl != null">nbyjgl,</if>
            <if test="qdyc != null">qdyc,</if>
            <if test="idct != null">idct,</if>
            <if test="xxgxctxvc != null">xxgxctxvc,</if>
            <if test="bjtxxyc != null">bjtxxyc,</if>
            <if test="tbctxvc != null">tbctxvc,</if>
            <if test="zldhyc != null">zldhyc,</if>
            <if test="lxgl != null">lxgl,</if>
            <if test="zlzjcqyc != null">zlzjcqyc,</if>
            <if test="ywgj != null">ywgj,</if>
            <if test="bjtxyc != null">bjtxyc,</if>
            <if test="hmictxyc != null">hmictxyc,</if>
            <if test="jxszcw != null">jxszcw,</if>
            <if test="hmi485txyc != null">hmi485txyc,</if>
            <if test="yctxyc != null">yctxyc,</if>
            <if test="gzz != null">gzz,</if>
            <if test="gjz != null">gjz,</if>
            <if test="zlblmsszcw != null">zlblmsszcw,</if>
            <if test="xtcsbpp != null">xtcsbpp,</if>
            <if test="dwdybphgj != null">dwdybphgj,</if>
            <if test="ddycyyx != null">ddycyyx,</if>
            <if test="gdycyyx != null">gdycyyx,</if>
            <if test="zlfjyc != null">zlfjyc,</if>
            <if test="srqwdkgwc != null">srqwdkgwc,</if>
            <if test="wbwdkgwc != null">wbwdkgwc,</if>
            <if test="fybyqwdkgwc != null">fybyqwdkgwc,</if>
            <if test="dgwdkgwc != null">dgwdkgwc,</if>
            <if test="zjjdvc != null">zjjdvc,</if>
            <if test="fjjdvc != null">fjjdvc,</if>
            <if test="jljdvc != null">jljdvc,</if>
            <if test="bwjdvc != null">bwjdvc,</if>
            <if test="bmsjt != null">bmsjt,</if>
            <if test="kkhrqyc != null">kkhrqyc,</if>
            <if test="dwgqpdjgj != null">dwgqpdjgj,</if>
            <if test="glmkgwgJ != null">glmkgwgJ,</if>
            <if test="dcgy != null">dcgy,</if>
            <if test="dcqzqy != null">dcqzqy,</if>
            <if test="zlgl != null">zlgl,</if>
            <if test="scdyyc != null">scdyyc,</if>
            <if test="scdybfhlwtj != null">scdybfhlwtj,</if>
            <if test="gzbh != null">gzbh,</if>
            <if test="dlbh != null">dlbh,</if>
            <if test="nbfjyc != null">nbfjyc,</if>
            <if test="zlbxsyc != null">zlbxsyc,</if>
            <if test="dczzqy != null">dczzqy,</if>
            <if test="dcdygj != null">dcdygj,</if>
            <if test="wbfjyc != null">wbfjyc,</if>
            <if test="dcfj != null">dcfj,</if>
            <if test="dcdybfhcdtj != null">dcdybfhcdtj,</if>
            <if test="gzgJ != null">gzgJ,</if>
            <if test="zldhmktxyc != null">zldhmktxyc,</if>
            <if test="bmsxtgz != null">bmsxtgz,</if>
            <if test="bmstxyc != null">bmstxyc,</if>
            <if test="bmsgjdyc != null">bmsgjdyc,</if>
            <if test="bmsjc != null">bmsjc,</if>
            <if test="bmsjf != null">bmsjf,</if>
            <if test="bmsdj != null">bmsdj,</if>
            <if test="bmsgj != null">bmsgj,</if>
            <if test="dgfjyc != null">dgfjyc,</if>
            <if test="srqgwgj != null">srqgwgj,</if>
            <if test="gzz2 != null">gzz2,</if>
            <if test="gjz2 != null">gjz2,</if>
            <if test="jlfjsmyc != null">jlfjsmyc,</if>
            <if test="zlfjsmyc != null">zlfjsmyc,</if>
            <if test="jlkgSmyc != null">jlkgSmyc,</if>
            <if test="zlkgSmyc != null">zlkgSmyc,</if>
            <if test="yljzyc != null">yljzyc,</if>
            <if test="createBy != null">create_by,</if>
            <if test="createTime != null">create_time,</if>
            <if test="updateBy != null">update_by,</if>
            <if test="updateTime != null">update_time,</if>
            <if test="remark != null">remark,</if>
        </trim>
        <trim prefix="values (" suffix=")" suffixOverrides=",">
            <if test="dataTimestamp != null">#{dataTimestamp},</if>
            <if test="siteId != null and siteId != ''">#{siteId},</if>
            <if test="deviceId != null and deviceId != ''">#{deviceId},</if>
            <if test="gzbz != null">#{gzbz},</if>
            <if test="jyzkyc != null">#{jyzkyc},</if>
            <if test="jlllyc != null">#{jlllyc},</if>
            <if test="zlgv != null">#{zlgv},</if>
            <if test="dwgyyc != null">#{dwgyyc},</if>
            <if test="dwqyyc != null">#{dwqyyc},</if>
            <if test="dwgpyc != null">#{dwgpyc},</if>
            <if test="dwqpyc != null">#{dwqpyc},</if>
            <if test="glmkgw != null">#{glmkgw},</if>
            <if test="dwxxyc != null">#{dwxxyc},</if>
            <if test="nbrjgl != null">#{nbrjgl},</if>
            <if test="zlrqdyc != null">#{zlrqdyc},</if>
            <if test="zlkgwc != null">#{zlkgwc},</if>
            <if test="jlfjyc != null">#{jlfjyc},</if>
            <if test="jlkgwc != null">#{jlkgwc},</if>
            <if test="wdkgwc != null">#{wdkgwc},</if>
            <if test="nbyc != null">#{nbyc},</if>
            <if test="jngw != null">#{jngw},</if>
            <if test="jlrqdyc != null">#{jlrqdyc},</if>
            <if test="rjhjyc != null">#{rjhjyc},</if>
            <if test="jlflqyc != null">#{jlflqyc},</if>
            <if test="nbjt != null">#{nbjt},</if>
            <if test="wbjt != null">#{wbjt},</if>
            <if test="mxdbyfhkjtj != null">#{mxdbyfhkjtj},</if>
            <if test="mxdlgl != null">#{mxdlgl},</if>
            <if test="lpjzyc != null">#{lpjzyc},</if>
            <if test="mjgj != null">#{mjgj},</if>
            <if test="sxyc != null">#{sxyc},</if>
            <if test="zlflqyc != null">#{zlflqyc},</if>
            <if test="zndbtxyc != null">#{zndbtxyc},</if>
            <if test="nbyjgl != null">#{nbyjgl},</if>
            <if test="qdyc != null">#{qdyc},</if>
            <if test="idct != null">#{idct},</if>
            <if test="xxgxctxvc != null">#{xxgxctxvc},</if>
            <if test="bjtxxyc != null">#{bjtxxyc},</if>
            <if test="tbctxvc != null">#{tbctxvc},</if>
            <if test="zldhyc != null">#{zldhyc},</if>
            <if test="lxgl != null">#{lxgl},</if>
            <if test="zlzjcqyc != null">#{zlzjcqyc},</if>
            <if test="ywgj != null">#{ywgj},</if>
            <if test="bjtxyc != null">#{bjtxyc},</if>
            <if test="hmictxyc != null">#{hmictxyc},</if>
            <if test="jxszcw != null">#{jxszcw},</if>
            <if test="hmi485txyc != null">#{hmi485txyc},</if>
            <if test="yctxyc != null">#{yctxyc},</if>
            <if test="gzz != null">#{gzz},</if>
            <if test="gjz != null">#{gjz},</if>
            <if test="zlblmsszcw != null">#{zlblmsszcw},</if>
            <if test="xtcsbpp != null">#{xtcsbpp},</if>
            <if test="dwdybphgj != null">#{dwdybphgj},</if>
            <if test="ddycyyx != null">#{ddycyyx},</if>
            <if test="gdycyyx != null">#{gdycyyx},</if>
            <if test="zlfjyc != null">#{zlfjyc},</if>
            <if test="srqwdkgwc != null">#{srqwdkgwc},</if>
            <if test="wbwdkgwc != null">#{wbwdkgwc},</if>
            <if test="fybyqwdkgwc != null">#{fybyqwdkgwc},</if>
            <if test="dgwdkgwc != null">#{dgwdkgwc},</if>
            <if test="zjjdvc != null">#{zjjdvc},</if>
            <if test="fjjdvc != null">#{fjjdvc},</if>
            <if test="jljdvc != null">#{jljdvc},</if>
            <if test="bwjdvc != null">#{bwjdvc},</if>
            <if test="bmsjt != null">#{bmsjt},</if>
            <if test="kkhrqyc != null">#{kkhrqyc},</if>
            <if test="dwgqpdjgj != null">#{dwgqpdjgj},</if>
            <if test="glmkgwgJ != null">#{glmkgwgJ},</if>
            <if test="dcgy != null">#{dcgy},</if>
            <if test="dcqzqy != null">#{dcqzqy},</if>
            <if test="zlgl != null">#{zlgl},</if>
            <if test="scdyyc != null">#{scdyyc},</if>
            <if test="scdybfhlwtj != null">#{scdybfhlwtj},</if>
            <if test="gzbh != null">#{gzbh},</if>
            <if test="dlbh != null">#{dlbh},</if>
            <if test="nbfjyc != null">#{nbfjyc},</if>
            <if test="zlbxsyc != null">#{zlbxsyc},</if>
            <if test="dczzqy != null">#{dczzqy},</if>
            <if test="dcdygj != null">#{dcdygj},</if>
            <if test="wbfjyc != null">#{wbfjyc},</if>
            <if test="dcfj != null">#{dcfj},</if>
            <if test="dcdybfhcdtj != null">#{dcdybfhcdtj},</if>
            <if test="gzgJ != null">#{gzgJ},</if>
            <if test="zldhmktxyc != null">#{zldhmktxyc},</if>
            <if test="bmsxtgz != null">#{bmsxtgz},</if>
            <if test="bmstxyc != null">#{bmstxyc},</if>
            <if test="bmsgjdyc != null">#{bmsgjdyc},</if>
            <if test="bmsjc != null">#{bmsjc},</if>
            <if test="bmsjf != null">#{bmsjf},</if>
            <if test="bmsdj != null">#{bmsdj},</if>
            <if test="bmsgj != null">#{bmsgj},</if>
            <if test="dgfjyc != null">#{dgfjyc},</if>
            <if test="srqgwgj != null">#{srqgwgj},</if>
            <if test="gzz2 != null">#{gzz2},</if>
            <if test="gjz2 != null">#{gjz2},</if>
            <if test="jlfjsmyc != null">#{jlfjsmyc},</if>
            <if test="zlfjsmyc != null">#{zlfjsmyc},</if>
            <if test="jlkgSmyc != null">#{jlkgSmyc},</if>
            <if test="zlkgSmyc != null">#{zlkgSmyc},</if>
            <if test="yljzyc != null">#{yljzyc},</if>
            <if test="createBy != null">#{createBy},</if>
            <if test="createTime != null">#{createTime},</if>
            <if test="updateBy != null">#{updateBy},</if>
            <if test="updateTime != null">#{updateTime},</if>
            <if test="remark != null">#{remark},</if>
        </trim>
    </insert>

    <update id="updateEmsPcsAlarmData" parameterType="EmsPcsAlarmData">
        update ems_pcs_alarm_data
        <trim prefix="SET" suffixOverrides=",">
            <if test="dataTimestamp != null">data_timestamp = #{dataTimestamp},</if>
            <if test="siteId != null and siteId != ''">site_id = #{siteId},</if>
            <if test="deviceId != null and deviceId != ''">device_id = #{deviceId},</if>
            <if test="gzbz != null">gzbz = #{gzbz},</if>
            <if test="jyzkyc != null">jyzkyc = #{jyzkyc},</if>
            <if test="jlllyc != null">jlllyc = #{jlllyc},</if>
            <if test="zlgv != null">zlgv = #{zlgv},</if>
            <if test="dwgyyc != null">dwgyyc = #{dwgyyc},</if>
            <if test="dwqyyc != null">dwqyyc = #{dwqyyc},</if>
            <if test="dwgpyc != null">dwgpyc = #{dwgpyc},</if>
            <if test="dwqpyc != null">dwqpyc = #{dwqpyc},</if>
            <if test="glmkgw != null">glmkgw = #{glmkgw},</if>
            <if test="dwxxyc != null">dwxxyc = #{dwxxyc},</if>
            <if test="nbrjgl != null">nbrjgl = #{nbrjgl},</if>
            <if test="zlrqdyc != null">zlrqdyc = #{zlrqdyc},</if>
            <if test="zlkgwc != null">zlkgwc = #{zlkgwc},</if>
            <if test="jlfjyc != null">jlfjyc = #{jlfjyc},</if>
            <if test="jlkgwc != null">jlkgwc = #{jlkgwc},</if>
            <if test="wdkgwc != null">wdkgwc = #{wdkgwc},</if>
            <if test="nbyc != null">nbyc = #{nbyc},</if>
            <if test="jngw != null">jngw = #{jngw},</if>
            <if test="jlrqdyc != null">jlrqdyc = #{jlrqdyc},</if>
            <if test="rjhjyc != null">rjhjyc = #{rjhjyc},</if>
            <if test="jlflqyc != null">jlflqyc = #{jlflqyc},</if>
            <if test="nbjt != null">nbjt = #{nbjt},</if>
            <if test="wbjt != null">wbjt = #{wbjt},</if>
            <if test="mxdbyfhkjtj != null">mxdbyfhkjtj = #{mxdbyfhkjtj},</if>
            <if test="mxdlgl != null">mxdlgl = #{mxdlgl},</if>
            <if test="lpjzyc != null">lpjzyc = #{lpjzyc},</if>
            <if test="mjgj != null">mjgj = #{mjgj},</if>
            <if test="sxyc != null">sxyc = #{sxyc},</if>
            <if test="zlflqyc != null">zlflqyc = #{zlflqyc},</if>
            <if test="zndbtxyc != null">zndbtxyc = #{zndbtxyc},</if>
            <if test="nbyjgl != null">nbyjgl = #{nbyjgl},</if>
            <if test="qdyc != null">qdyc = #{qdyc},</if>
            <if test="idct != null">idct = #{idct},</if>
            <if test="xxgxctxvc != null">xxgxctxvc = #{xxgxctxvc},</if>
            <if test="bjtxxyc != null">bjtxxyc = #{bjtxxyc},</if>
            <if test="tbctxvc != null">tbctxvc = #{tbctxvc},</if>
            <if test="zldhyc != null">zldhyc = #{zldhyc},</if>
            <if test="lxgl != null">lxgl = #{lxgl},</if>
            <if test="zlzjcqyc != null">zlzjcqyc = #{zlzjcqyc},</if>
            <if test="ywgj != null">ywgj = #{ywgj},</if>
            <if test="bjtxyc != null">bjtxyc = #{bjtxyc},</if>
            <if test="hmictxyc != null">hmictxyc = #{hmictxyc},</if>
            <if test="jxszcw != null">jxszcw = #{jxszcw},</if>
            <if test="hmi485txyc != null">hmi485txyc = #{hmi485txyc},</if>
            <if test="yctxyc != null">yctxyc = #{yctxyc},</if>
            <if test="gzz != null">gzz = #{gzz},</if>
            <if test="gjz != null">gjz = #{gjz},</if>
            <if test="zlblmsszcw != null">zlblmsszcw = #{zlblmsszcw},</if>
            <if test="xtcsbpp != null">xtcsbpp = #{xtcsbpp},</if>
            <if test="dwdybphgj != null">dwdybphgj = #{dwdybphgj},</if>
            <if test="ddycyyx != null">ddycyyx = #{ddycyyx},</if>
            <if test="gdycyyx != null">gdycyyx = #{gdycyyx},</if>
            <if test="zlfjyc != null">zlfjyc = #{zlfjyc},</if>
            <if test="srqwdkgwc != null">srqwdkgwc = #{srqwdkgwc},</if>
            <if test="wbwdkgwc != null">wbwdkgwc = #{wbwdkgwc},</if>
            <if test="fybyqwdkgwc != null">fybyqwdkgwc = #{fybyqwdkgwc},</if>
            <if test="dgwdkgwc != null">dgwdkgwc = #{dgwdkgwc},</if>
            <if test="zjjdvc != null">zjjdvc = #{zjjdvc},</if>
            <if test="fjjdvc != null">fjjdvc = #{fjjdvc},</if>
            <if test="jljdvc != null">jljdvc = #{jljdvc},</if>
            <if test="bwjdvc != null">bwjdvc = #{bwjdvc},</if>
            <if test="bmsjt != null">bmsjt = #{bmsjt},</if>
            <if test="kkhrqyc != null">kkhrqyc = #{kkhrqyc},</if>
            <if test="dwgqpdjgj != null">dwgqpdjgj = #{dwgqpdjgj},</if>
            <if test="glmkgwgJ != null">glmkgwgJ = #{glmkgwgJ},</if>
            <if test="dcgy != null">dcgy = #{dcgy},</if>
            <if test="dcqzqy != null">dcqzqy = #{dcqzqy},</if>
            <if test="zlgl != null">zlgl = #{zlgl},</if>
            <if test="scdyyc != null">scdyyc = #{scdyyc},</if>
            <if test="scdybfhlwtj != null">scdybfhlwtj = #{scdybfhlwtj},</if>
            <if test="gzbh != null">gzbh = #{gzbh},</if>
            <if test="dlbh != null">dlbh = #{dlbh},</if>
            <if test="nbfjyc != null">nbfjyc = #{nbfjyc},</if>
            <if test="zlbxsyc != null">zlbxsyc = #{zlbxsyc},</if>
            <if test="dczzqy != null">dczzqy = #{dczzqy},</if>
            <if test="dcdygj != null">dcdygj = #{dcdygj},</if>
            <if test="wbfjyc != null">wbfjyc = #{wbfjyc},</if>
            <if test="dcfj != null">dcfj = #{dcfj},</if>
            <if test="dcdybfhcdtj != null">dcdybfhcdtj = #{dcdybfhcdtj},</if>
            <if test="gzgJ != null">gzgJ = #{gzgJ},</if>
            <if test="zldhmktxyc != null">zldhmktxyc = #{zldhmktxyc},</if>
            <if test="bmsxtgz != null">bmsxtgz = #{bmsxtgz},</if>
            <if test="bmstxyc != null">bmstxyc = #{bmstxyc},</if>
            <if test="bmsgjdyc != null">bmsgjdyc = #{bmsgjdyc},</if>
            <if test="bmsjc != null">bmsjc = #{bmsjc},</if>
            <if test="bmsjf != null">bmsjf = #{bmsjf},</if>
            <if test="bmsdj != null">bmsdj = #{bmsdj},</if>
            <if test="bmsgj != null">bmsgj = #{bmsgj},</if>
            <if test="dgfjyc != null">dgfjyc = #{dgfjyc},</if>
            <if test="srqgwgj != null">srqgwgj = #{srqgwgj},</if>
            <if test="gzz2 != null">gzz2 = #{gzz2},</if>
            <if test="gjz2 != null">gjz2 = #{gjz2},</if>
            <if test="jlfjsmyc != null">jlfjsmyc = #{jlfjsmyc},</if>
            <if test="zlfjsmyc != null">zlfjsmyc = #{zlfjsmyc},</if>
            <if test="jlkgSmyc != null">jlkgSmyc = #{jlkgSmyc},</if>
            <if test="zlkgSmyc != null">zlkgSmyc = #{zlkgSmyc},</if>
            <if test="yljzyc != null">yljzyc = #{yljzyc},</if>
            <if test="createBy != null">create_by = #{createBy},</if>
            <if test="createTime != null">create_time = #{createTime},</if>
            <if test="updateBy != null">update_by = #{updateBy},</if>
            <if test="updateTime != null">update_time = #{updateTime},</if>
            <if test="remark != null">remark = #{remark},</if>
        </trim>
        where id = #{id}
    </update>

    <delete id="deleteEmsPcsAlarmDataById" parameterType="Long">
        delete from ems_pcs_alarm_data where id = #{id}
    </delete>

    <delete id="deleteEmsPcsAlarmDataByIds" parameterType="String">
        delete from ems_pcs_alarm_data where id in
        <foreach item="id" collection="array" open="(" separator="," close=")">
            #{id}
        </foreach>
    </delete>
</mapper>